Bug 1337291 - glibc: GCC 6 enablement for struct sockaddr_storage
Summary: glibc: GCC 6 enablement for struct sockaddr_storage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Weimer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1338672 1338673
TreeView+ depends on / blocked
 
Reported: 2016-05-18 17:50 UTC by Florian Weimer
Modified: 2016-06-18 19:14 UTC (History)
9 users (show)

Fixed In Version: glibc-2.23.90-19.fc25, glibc-2.23.1-8.fc24, glibc-2.22-17.fc23
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1338672 1338673 (view as bug list)
Environment:
Last Closed: 2016-06-18 19:14:49 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNU Compiler Collection 71120 None None None 2016-05-18 17:50:47 UTC
Sourceware 20111 None None None 2016-05-18 17:50:10 UTC

Description Florian Weimer 2016-05-18 17:50:10 UTC
The current struct sockaddr_storage definition causes problems with GCC 6 which are not fixed by -fno-strict-aliasing.  We need to backport a definition which compensates for this.

Comment 1 Fedora Update System 2016-06-02 12:30:57 UTC
glibc-2.23.1-8.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3c5d606035

Comment 2 Fedora Update System 2016-06-03 06:54:19 UTC
glibc-2.22-17.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b2dfb591cd

Comment 3 Fedora Update System 2016-06-03 09:26:49 UTC
glibc-2.23.1-8.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3c5d606035

Comment 4 Fedora Update System 2016-06-03 16:26:49 UTC
glibc-2.22-17.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b2dfb591cd

Comment 5 Fedora Update System 2016-06-07 01:23:39 UTC
glibc-2.22-17.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-06-18 18:49:25 UTC
glibc-2.23.1-8.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.